RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003782USAF[All Projects] Generalpublic2017-11-12 20:132017-11-27 19:42
Reporterchamp1944 
Assigned Toreyhard 
PrioritynoneSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.4.5 
Summary0003782: AI will clip in foregrip attachments
DescriptionI Saw you removed a long time ago all the different variants of each weapon ( m4a1 pip with foregrip , M4a1 angled grip, etc.), to minimize the amount of weapons that will appear in the Editor.

you added each foregrip accessory as a Bipod attachment but since you did it, all foregrip will clip with AI solider's hands.
With the player it works fine, but when seeing other AIs holding rifles with foregrips, their hands will clip in the foregrip.

I would be very thankful if you can fix this issue
Thank you
Steps To ReproduceJust spawn few units and edit their loadouts to add foregrips to their RHS weapons, than view your mission and notice that each and every one of the AI soldiers won't grip the rifle properly, and their hands bond with the foregrip.

you can also notice that the engineer unit from the MARSOC faction is holding an invisible Foregrip.
TagsNo tags attached.
Is it a wish/request?No
Arma 3 version1.76
Did you used any other mod when the error occurred?No
Which mods?
Attached Filesjpg file icon 20171112201326_1.jpg [^] (305,105 bytes) 2017-11-12 20:13

- Relationships

-  Notes
(0007139)
reyhard (administrator)
2017-11-27 19:42

made a change so it's going to work with RHS AI units at least - I will try to change it later so it's working with all units it might be a little bit tricky

- Issue History
Date Modified Username Field Change
2017-11-12 20:13 champ1944 New Issue
2017-11-12 20:13 champ1944 File Added: 20171112201326_1.jpg
2017-11-13 10:56 reyhard Assigned To => reyhard
2017-11-13 10:56 reyhard Status new => assigned
2017-11-27 19:42 reyhard Note Added: 0007139
2017-11-27 19:42 reyhard Status assigned => resolved
2017-11-27 19:42 reyhard Fixed in Version => 0.4.5
2017-11-27 19:42 reyhard Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker